CMP(1)

NAME
cmp - compare two files

SYNOPSIS
cmp [-l | -s] [ -r ] file1 file2 [ skip1 [ skip2 ] ]

DESCRIPTION
The cmp utility compares two files of any type and writes the results to the standard output. By default, cmp is silent if the files are the same; if they differ, the byte and line number at which the first difference occurred is reported. Also by default, cmp also considers the resource forks of the files, and will make note if only one of the files has a resource fork.

Bytes and lines are numbered beginning with one.

The following options are available:

-l  Print the byte number (decimal) and the differing byte values (octal) for each difference.

-s  Print nothing for differing files; return exit status only.

-r  Ignore resource forks when comparing.

The optional arguments skip1 and skip2 are the byte offsets from the beginning of file1 and file2, respectively, where the comparison will begin. The offset is decimal by default, but may be expressed as an hexadecimal or octal value by preceding it with a leading ``0x'' or ``0''.

The cmp utility exits with one of the following values:

0   The files are identical.

1   The files are different; this includes the case where one file is identical to the first part of the other. In the latter case, if the -s option has not been specified, cmp writes to standard output that EOF was reached in the shorter file (before any differences were found).

>1  An error occurred.

SEE ALSO
diff(1), diff3(1)

HISTORY
The cmp command for GNO/ME v2.0.6 is based on FreeBSD source code.